openSUSE Security Update : unbound (unbound-840)

Medium Nessus Plugin ID 40317


The remote openSUSE host is missing a security update.


This update fixes a heap-based buffer overflow in the ldns_rr_new_frm_str_internal() function. This allowed remote attackers to cause a denial of service and possibly execute arbitrary code via a DNS resource record (RR) with a long class field and possibly TTL field. (CVE-2009-1086)


Update the affected unbound packages.

See Also

Plugin Details

Severity: Medium

ID: 40317

File Name: suse_11_1_unbound-090429.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/07/21

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:unbound, p-cpe:/a:novell:opensuse:unbound-devel, cpe:/o:novell:opensuse:11.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/04/29

Reference Information

CVE: CVE-2009-1086

CWE: 399